import sys
if sys.platform.startswith('linux'):
    TEMPUS_PLUGIN_PREFIX='lib'
    TEMPUS_PLUGIN_SUFFIX='.so'
    TEMPUS_PLUGINS_DIR='/usr/local/lib/tempus'
else:
    TEMPUS_PLUGIN_PREFIX=''
    TEMPUS_PLUGIN_SUFFIX='.dll'
    TEMPUS_PLUGINS_DIR=r"@osgeo4w@\apps\tempus\bin"

def load_plugin(plugin_name, dbstring):
    import pytempus
    import os
    pytempus.init()
    class Progress(pytempus.ProgressionCallback):
        def __call__(self, percent, finished ):
            print ('{}...'.format(percent))
    pr = Progress()
    print(TEMPUS_PLUGINS_DIR)
    p = pytempus.PluginFactory.instance().create_plugin(os.path.join(TEMPUS_PLUGINS_DIR, TEMPUS_PLUGIN_PREFIX + plugin_name + TEMPUS_PLUGIN_SUFFIX), pr, {"db/options": dbstring})
    return p

